## NMSettingBluetooth

NMSettingBluetooth — Describes Bluetooth connection properties

## Functions

GQuark | nm_setting_bluetooth_error_quark ()
NMSetting * | nm_setting_bluetooth_new ()
const GByteArray * | nm_setting_bluetooth_get_bdaddr ()
const char * | nm_setting_bluetooth_get_connection_type ()

## Properties

GArray_guchar_ * | bdaddr | Read / Write
gchar * | type | Read / Write

## Types and Values

#define | NM_SETTING_BLUETOOTH_SETTING_NAME
enum | NMSettingBluetoothError
#define | NM_SETTING_BLUETOOTH_ERROR
#define | NM_SETTING_BLUETOOTH_BDADDR
#define | NM_SETTING_BLUETOOTH_TYPE
#define | NM_SETTING_BLUETOOTH_TYPE_DUN
#define | NM_SETTING_BLUETOOTH_TYPE_PANU

## Object Hierarchy

        GEnum
        ╰── NMSettingBluetoothError
        GObject
        ╰── NMSetting
            ╰── NMSettingBluetooth

## Includes

    #include <nm-setting-bluetooth.h>

## Description

The NMSettingBluetooth object is a NMSetting subclass that describes properties necessary for connection to devices that provide network connections via the Bluetooth Dial-Up Networking (DUN) and Network Access Point (NAP) profiles.

## Functions

### nm_setting_bluetooth_error_quark ()

    GQuark
    nm_setting_bluetooth_error_quark (void);

Registers an error quark for NMSettingBluetooth if necessary.

#### Returns

the error quark used for NMSettingBluetooth errors.

### nm_setting_bluetooth_new ()

    NMSetting *
    nm_setting_bluetooth_new (void);

Creates a new NMSettingBluetooth object with default values.

#### Returns

the new empty NMSettingBluetooth object.

[transfer full]

### nm_setting_bluetooth_get_bdaddr ()

    const GByteArray *
    nm_setting_bluetooth_get_bdaddr (NMSettingBluetooth *setting);

Gets the Bluetooth address of the remote device which this setting describes a connection to.

#### Parameters

setting | the NMSettingBluetooth |

#### Returns

the Bluetooth address

### nm_setting_bluetooth_get_connection_type ()

    const char *
    nm_setting_bluetooth_get_connection_type
                                   (NMSettingBluetooth *setting);

Returns the connection method for communicating with the remote device (i.e. either DUN to a DUN-capable device or PANU to a NAP-capable device).

#### Parameters

setting | the NMSettingBluetooth |

#### Returns

the type, either `NM_SETTING_BLUETOOTH_TYPE_PANU` or `NM_SETTING_BLUETOOTH_TYPE_DUN`

## Types and Values

### NM_SETTING_BLUETOOTH_SETTING_NAME

    #define NM_SETTING_BLUETOOTH_SETTING_NAME "bluetooth"

### enum NMSettingBluetoothError

#### Members

NM_SETTING_BLUETOOTH_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_BLUETOOTH_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_BLUETOOTH_ERROR_MISSING_PROPERTY | the property was missing and is required |
NM_SETTING_BLUETOOTH_ERROR_TYPE_SETTING_NOT_FOUND | the connection did not contain a required type setting, ie for DUN connections the connection must also contain an NMSettingGsm or NMSettingCdma as appropriate |

### NM_SETTING_BLUETOOTH_ERROR

    #define NM_SETTING_BLUETOOTH_ERROR nm_setting_bluetooth_error_quark ()

### NM_SETTING_BLUETOOTH_BDADDR

    #define NM_SETTING_BLUETOOTH_BDADDR    "bdaddr"

### NM_SETTING_BLUETOOTH_TYPE

    #define NM_SETTING_BLUETOOTH_TYPE      "type"

### NM_SETTING_BLUETOOTH_TYPE_DUN

    #define NM_SETTING_BLUETOOTH_TYPE_DUN  "dun"

Connection type describing a connection to devices that support the Bluetooth DUN profile.

### NM_SETTING_BLUETOOTH_TYPE_PANU

    #define NM_SETTING_BLUETOOTH_TYPE_PANU "panu"

Connection type describing a connection to devices that support the Bluetooth NAP (Network Access Point) protocol, which accepts connections via PANU.

## Property Details

### The `“bdaddr”` property

      “bdaddr”                   GArray_guchar_ *

The Bluetooth address of the device.

Owner: NMSettingBluetooth

Flags: Read / Write

### The `“type”` property

      “type”                     gchar *

Either "dun" for Dial-Up Networking connections or "panu" for Personal Area Networking connections to devices supporting the NAP profile.

Owner: NMSettingBluetooth

Flags: Read / Write

Default value: NULL